      program leak
	  integer,target :: t(10)
	  integer,pointer :: i(:)
	  integer :: n=10000000, m
	  do m = 1,20000
	     i => t
	     allocate(i(n))
		 i =m
		 print *,m ,sum(i)
	   enddo
	 end program leak
		 
